package com.cf.imes.module.executor.enums.veneer;

import com.cf.imes.framework.common.core.IntArrayValuable;
import com.cf.imes.framework.excel.core.convert.BaseEnum;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;

/**
 * 贴皮状态枚举
 *
 * @author Gqr
 * @since 2026/1/5 11:22
 */
@RequiredArgsConstructor
@Getter
public enum VeneerStatusEnum implements IntArrayValuable, BaseEnum {
    NOT_USE(0, "未使用"),
    USED(1, "已使用");

    public static final int[] ARRAYS = Arrays.stream(values()).mapToInt(VeneerStatusEnum::getCode).toArray();

    @Override
    public int[] array() {
        return ARRAYS;
    }

    /**
     * 枚举值
     */
    private final Integer code;

    /**
     * 状态名
     */
    private final String desc;
}
